
Figure - Bug #114701
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【AF】【EVT】【音乐】歌曲无法被删除
2022-12-19 17:18 - CD TEST-方永红

Status: CLOSED Start date: 2022-12-19

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212170422

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212240330

Reproducibility: Every time Fixed Version: 2022-12-22

Test Type: IT Root cause: 版本兼容问题，android 11 过后需要授予MANAGE_EXTERNAL_STORAGE 才可以对文件进行删除操作

Description

【前提条件】

1、设备已开机

2、本地有歌曲

【测试步骤】

1、打开音乐

2、点击页面右上角的设置按钮

3、点击删除

【预期结果】

3、有删除成功的提示，且所选歌曲未被删除

【实际结果】

4、有删除成功的提示，但是所选歌曲被删除

History

#1 - 2022-12-19 17:34 - CD TEST-方永红

- Description updated

#2 - 2022-12-20 17:41 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#3 - 2022-12-22 14:40 - CD APP-王宏

■ Current conclusion

已经完成修改，并提交代码

■ My analysis

根据删除事排查得知是没有删除的权限导致文件删除失败，后续添加 MANAGE_EXTERNAL_STORAGE 权限可以正常删除

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/SnapdragonMusic/+/171565

#4 - 2022-12-22 15:17 - IoT scm
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/SnapdragonMusic/+/171565


Gerrit Merge Information：

ID Project Branch Uploader

171565 general/platform/packages/apps/Snapd

ragonMusic

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:SnapdragonMusic:Fix the problem that the song cannot be deletedTC-RID: 0301-0205203IssueID: TS-R-BUG-114701Change-Id:

Ibf8567659857b4930badf8f385f2c453e955e565

#5 - 2022-12-22 15:20 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-12-22

- Root cause set to 版本兼容问题，android 11 过后需要授予MANAGE_EXTERNAL_STORAGE 才可以对文件进行删除操作

#6 - 2022-12-22 15:21 - CD APP-王宏

- Assignee changed from CD APP-王宏 to CD TEST-方永红

#7 - 2022-12-27 11:24 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212240330

12.27

验证通过

#8 - 2022-12-27 11:24 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190122 2022-12-19 17-18-00.mp4 35 MB 2022-12-19 CD TEST-方永红
